package mg.dot.feufaro

import com.russhwolf.settings.Settings
import com.russhwolf.settings.set
import androidx.compose.ui.unit.DpSize
import androidx.compose.ui.unit.dp
import mg.dot.feufaro.WindowState

expect class SaveSettings() {
    val settings: Settings

    fun loadLastUsedDir(): String

    fun saveLastUsedDir(lastDir: String)

    fun loadWindowState(): WindowState
    fun saveWindowState(state: WindowState)
}